Wilcom is making website updates this week. Contact support@wilcom.com if you continue to have issues. Apologies for any inconvenience.

Operating System Compatibility

Wilcom ES Software and Operating System compatibility ('#' = exceptions) 

It is recommended to have the latest service packs for each OS installed.

Wilcom version

Windows10 (32 and 64 bit)

Windows8.1 (32 and 64 bit)

Windows7 (32 and 64 bit)

Vista (32 bit)

WinXP (32 bit)

EmbroideryStudio e3 / DecoStudio e3 / Design Work flow e3 Yes (#1) Yes Yes Yes Yes XP SP3
EmbroideryStudio e2 / DecoStudio e2 / Design Work flow e2 No Yes (#2) Yes Yes Yes XP SP3
EmbroideryStudio e1.5 / DecoStudio e1.5 / Design Workflow e1.5  No  No Yes (#3)  Yes  Yes XP SP3
DecoStudio e1  No  No  Yes (#3)  Yes  Yes XP SP2 or Higher
ES Designer 2006 / Design Workflow 2006  No  No  No  Yes Vista Update (#4)  Yes XP SP2 or Higher (#5)

 

#1: Windows 10:

  • An updated Dongle driver V7.32 or a later version must be installed before installing Embroidery Studio e3 / DecoStudio e3, the updated dongle driver can be obtained from the Download Center page.

 

#2: Windows 8.1:

  • An updated Dongle driver V6.51 or a later version must be installed before installing Embroidery Studio e2 / DecoStudio e2, the updated dongle driver can be obtained from the Download Center page.

 

#3: Windows 7:

  • An updated Dongle driver V5.75 or a later version must be installed before installing Embroidery Studio e1.5 / DecoStudio e1.5, the updated dongle driver can be obtained from the Download Center page.

 

#4: Windows Vista:

  • You need to install Service Pack 4 or later. The "Vista Update" patch was released before SP4. 

 

#5: Windows 2000 and Windows XP:

  • Melco disk format is not supported under NT, 2000, WinXP or later.

 

Users of 64-bit Operating Systems please note:

  • ES 2006 (with Service Pack 4 Revision 2) and above will run on 64-bit operating systems such as Windows XP x64 and Windows Vista 64-bit as these operating systems can still run 32-bit applications natively. 
  • Note that some Windows Server x64 operating systems running on 64-bit CPUs are not able to run 32-bit applications like Wilcom ES 2006 without hardware emulation. Microsoft Vista For full compatibility with Vista, ES Designer 2006 with Vista Update or Service Pack 4 or higher is needed. 

 

MAC OS X / Apple Computers: There is currently no ES Designer version that can run under the MAC OS but if you have an Intel-based MAC, you can run Boot camp , VM Ware Fusion or Parallels to run Microsoft Windows. Simply install ES/DS under your Windows partition.

Non-DOS embroidery disks: Since the embroidery industry was one of the first to make use of computers and before DOS was the accepted disk format, there are many 'non-DOS' formats still used within the embroidery industry. These non-DOS embroidery formats e.g. Barudan FDR, Melco, format the floppy disk differently and cannot be read as 'DOS-formatted' disks. Most PC’s can no longer read these formats.